<div dir="ltr">Hi,<div><br></div><div>I wanted to install wx in Python 3.5.0</div><div>Python 3.5.0 (v3.5.0:374f501f4567, Sep 13 2015, 02:16:59) [MSC v.1900 32 bit (Intel)] on win32<br></div><div><br></div><div>I am getting the following error:-</div><div><br></div><div><div>C:\Users\makshay\AppData\Local\Programs\Python\Python35-32\Scripts>pip.exe install --upgrade --trusted-host <a href="http://wxpython.org">wxpython.org</a> --pre -f <a href="http://wxpython.org/Phoenix/snapshot-builds/">http://wxpython.org/Phoenix/snapshot-builds/</a> wxPython_Phoenix</div><div>Collecting wxPython-Phoenix</div><div>  Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.requests.packages.urllib3.connection.HTTPConnection object at 0x037E3F10>, 'Connection to <a href="http://wxpython.org">wxpython.org</a> timed out. (connect timeout=15)')': /Phoenix/snapshot-builds/</div><div>  Downloading <a href="http://wxpython.org/Phoenix/snapshot-builds/wxPython_Phoenix-3.0.3.dev1927+e07098d.tar.gz">http://wxpython.org/Phoenix/snapshot-builds/wxPython_Phoenix-3.0.3.dev1927+e07098d.tar.gz</a> (41.1MB)</div><div>    100% |################################| 41.1MB 188kB/s</div><div>Installing collected packages: wxPython-Phoenix</div><div>  Running setup.py install for wxPython-Phoenix ... error</div><div>    Complete output from command c:\users\makshay\appdata\local\programs\python\python35-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\makshay\\AppData\\Local\\Temp\\pip-build-yt8mmtg8\\wxPython-Phoenix\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record C:\Users\makshay\AppData\Local\Temp\pip-qi7hs2w7-record\install-record.txt --single-version-externally-managed --compile:</div><div>    running install</div><div>    running build</div><div>    WARNING: Building this way assumes that all generated files have been</div><div>    generated already.  If that is not the case then use build.py directly</div><div>    to generate the source and perform the build stage.  You can use</div><div>    --skip-build with the bdist_* or install commands to avoid this</div><div>    message and the wxWidgets and Phoenix build steps in the future.</div><div><br></div><div>    c:\users\makshay\appdata\local\programs\python\python35-32\python.exe -u build.py build</div><div>    Build using: "c:\users\makshay\appdata\local\programs\python\python35-32\python.exe"</div><div>    3.5.0 (v3.5.0:374f501f4567, Sep 13 2015, 02:16:59) [MSC v.1900 32 bit (Intel)]</div><div>    Python's architecture is 32bit</div><div>    cfg.VERSION: 3.0.3.dev1927+e07098d</div><div><br></div><div>    Running command: build</div><div>    Running command: build_wx</div><div>    Command '"c:\users\makshay\appdata\local\programs\python\python35-32\python.exe" -c "import distutils.msvc9compiler as msvc; mc = msvc.MSVCCompiler(); mc.initialize(); print(mc.cc)"' failed with exit code 1.</div><div>    Traceback (most recent call last):</div><div>      File "<string>", line 1, in <module></div><div>      File "c:\users\makshay\appdata\local\programs\python\python35-32\lib\distutils\msvc9compiler.py", line 374, in initialize</div><div>        vc_env = query_vcvarsall(VERSION, plat_spec)</div><div>      File "c:\users\makshay\appdata\local\programs\python\python35-32\lib\distutils\msvc9compiler.py", line 262, in query_vcvarsall</div><div>        raise DistutilsPlatformError("Unable to find vcvarsall.bat")</div><div>    distutils.errors.DistutilsPlatformError: Unable to find vcvarsall.bat</div><div>    Finished command: build_wx (0.152s)</div><div>    Finished command: build (0.152s)</div><div>    Command 'c:\users\makshay\appdata\local\programs\python\python35-32\python.exe -u build.py build' failed with exit code 1.</div><div><br></div><div>    ----------------------------------------</div><div>Command "c:\users\makshay\appdata\local\programs\python\python35-32\python.exe -u -c "import setuptools, tokenize;__file__='C:\\Users\\makshay\\AppData\\Local\\Temp\\pip-build-yt8mmtg8\\wxPython-Phoenix\\setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record C:\Users\makshay\AppData\Local\Temp\pip-qi7hs2w7-record\install-record.txt --single-version-externally-managed --compile" failed with error code 1 in C:\Users\makshay\AppData\Local\Temp\pip-build-yt8mmtg8\wxPython-Phoenix</div><div><br></div><div>C:\Users\makshay\AppData\Local\Programs\Python\Python35-32\Scripts></div><div><br></div><div><div>C:\Users\makshay\AppData\Local\Programs\Python\Python35-32\Scripts>pip install -U --pre -f <a href="http://wxpython.org/Phoenix/snapshot-builds/">http://wxpython.org/Phoenix/snapshot-builds/</a> wxPython_Phoenix</div><div>Collecting wxPython-Phoenix</div><div>  The repository located at <a href="http://wxpython.org">wxpython.org</a> is not a trusted or secure host and is being ignored. If this repository is available via HTTPS it is recommended to use HTTPS instead, otherwise you may silence this warning and allow it anyways with '--trusted-host <a href="http://wxpython.org">wxpython.org</a>'.</div><div>  Could not find a version that satisfies the requirement wxPython-Phoenix (from versions: )</div><div>No matching distribution found for wxPython-Phoenix</div></div><div><br></div><div>Any help would be appreciated.</div><div><br></div><div>Thanks,</div><div>Akshay</div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></div></div><div><br></div></div>